CentOS6.3 遇到问题: phantomjs: /lib/libz.so.1: no version information available (required by phantomjs) 的解决办法

学习笔记 马富天 2017-11-29 21:43:13 245 0

【摘要】在 CentOS 6.3 中使用 PhantomJS 做网络爬虫的过程中往往会遇到各种问题,我们要解决它。

系统版本:CentOS 6.3、PhantomJS 的版本:phantomjs-2.1.1-linux-i686、libz 安装版本:zlib-1.2.11

当遇到问题:phantomjs: /lib/libz.so.1: no version information available (required by phantomjs) 的时候,仔细看报错提示,说明是 libz 版本不可用,我们只需要正确安装好最新版本即可(或者对应的版本),由于我在安装过程中没有正确的安装,导致遇到一些问题,如下给出正确的安装方法。

zlib 的下载地址是:

http://www.zlib.net/fossils/

从列表中下载一个版本可以是最新的。传到 /usr/local/src 位置上

切换到zlib目录下,编译zlib

  1. ./configure    --prefix=/usr/local/zlib
  2. make
  3. make  install

更新动态链接库数据

  1. echo "/usr/local/zlib/lib" >> /etc/ld.so.conf 
  2. ldconfig -v

以上的操作是正确安装的方法。能够解决如题问题。

请输入图片名称

版权归 马富天PHP博客 所有

本文标题:《CentOS6.3 遇到问题: phantomjs: /lib/libz.so.1: no version information available (required by phantomjs) 的解决办法》

本文链接地址:http://www.mafutian.net/353.html

转载请务必注明出处,小生将不胜感激,谢谢! 喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

0

0

上一篇《 ASP 实现将数据导出到 Excel 文件中 》 下一篇《 PHP 中如何实现一个全局对象能够在整个 Web 程序中调用 》
分享到:

暂无评论

评论审核未开启
表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情
验证码